SPECS: repackage.sh - simplify

glen glen at pld-linux.org
Mon Oct 23 22:08:04 CEST 2006


Author: glen                         Date: Mon Oct 23 20:08:04 2006 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- simplify

---- Files affected:
SPECS:
   repackage.sh (1.7 -> 1.8) 

---- Diffs:

================================================================
Index: SPECS/repackage.sh
diff -u SPECS/repackage.sh:1.7 SPECS/repackage.sh:1.8
--- SPECS/repackage.sh:1.7	Mon Oct 23 22:06:31 2006
+++ SPECS/repackage.sh	Mon Oct 23 22:07:59 2006
@@ -11,13 +11,13 @@
 
 rpmbuild() {
 	set -x
-	/usr/bin/rpmbuild ${TARGET:+--target $TARGET} --short-circuit --define '_source_payload w9.gzdio' "$@" || exit
+	/usr/bin/rpmbuild ${TARGET:+--target $TARGET} $BCONDS --short-circuit --define '_source_payload w9.gzdio' "$@" || exit
 }
 
-bconds=$(./builder --show-bconds "$@")
+BCONDS=$(./builder --show-bconds "$@")
 # ignore output from older builders whose output is not compatible.
 if [ "$(echo "$bconds" | wc -l)" -gt 1 ]; then
-	bconds=""
+	BCONDS=""
 fi
 
 SPECFILE="$1"
@@ -28,6 +28,6 @@
 
 # just create the rpm's if -bb is somewhere in the args
 if [[ *$@* != *-bb* ]]; then
-	rpmbuild -bi $bconds "$@"
+	rpmbuild -bi "$@"
 fi
-rpmbuild -bb --define 'clean %{nil}' $bconds "$@"
+rpmbuild -bb --define 'clean %{nil}' "$@"
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/repackage.sh?r1=1.7&r2=1.8&f=u



More information about the pld-cvs-commit mailing list